Package org.jfree.report.structure

# Class SubReport

java.lang.Object
org.jfree.report.structure.Node
org.jfree.report.structure.Element
org.jfree.report.structure.Section
org.jfree.report.structure.ReportDefinition
org.jfree.report.structure.SubReport

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class SubReport extends ReportDefinition
Creation-Date: 04.03.2006, 21:38:21

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.jfree.report.structure.Element

`ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SubReport()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExportParameter(String outerName, String innerName)`
`void`
`addInputParameter(String outerName, String innerName)`
`Object`
`clone()`
`ParameterMapping[]`
`getExportMappings()`
`String`
`getExportParameter(String outerName)`
`String[]`
`getExportParameters()`
`String`
`getInnerParameter(String outerName)`
`ParameterMapping[]`
`getInputMappings()`
`String[]`
`getInputParameters()`
`String[]`
`getPeerExportParameters()`
`String[]`
`getPeerInputParameters()`
`boolean`
`isGlobalExport()`
`boolean`
`isGlobalImport()`
`void`
`removeExportParameter(String outerName)`
`void`
`removeInputParameter(String outerName)`

### Methods inherited from class org.jfree.report.structure.ReportDefinition

`getGroup, getQuery, getReport, setQuery`

### Methods inherited from class org.jfree.report.structure.Section

`addNode, addNode, addNodes, addOperationAfter, addOperationBefore, findFirstChild, getElementByName, getNode, getNodeArray, getNodeCount, getNodes, getOperationAfter, getOperationBefore, isRepeat, removeNode, setOperationAfter, setOperationBefore, setRepeat, toString`

### Methods inherited from class org.jfree.report.structure.Element

`addExpression, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

### Methods inherited from class org.jfree.report.structure.Node

`getParent, getRootReport, setParent, updateParent`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SubReport

public SubReport()

## Method Details

### addExportParameter

public void addExportParameter(String outerName, String innerName)

### removeExportParameter

public void removeExportParameter(String outerName)

### getExportParameter

public String getExportParameter(String outerName)

### getExportParameters

public String[] getExportParameters()

### getPeerExportParameters

public String[] getPeerExportParameters()

### getExportMappings

public ParameterMapping[] getExportMappings()

### addInputParameter

public void addInputParameter(String outerName, String innerName)

### removeInputParameter

public void removeInputParameter(String outerName)

### getInnerParameter

public String getInnerParameter(String outerName)

### getInputParameters

public String[] getInputParameters()

### getPeerInputParameters

public String[] getPeerInputParameters()

### getInputMappings

public ParameterMapping[] getInputMappings()

### isGlobalImport

public boolean isGlobalImport()

### isGlobalExport

public boolean isGlobalExport()

### clone

public Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Section`
Throws:
  `CloneNotSupportedException`